@model FAA_UI.ViewModels.ReflexViewModel
<h4 style="font-family:'Garamond',sans-serif;margin:9px 9px 9px 75px;">Reflex Tests</h4>
<div class="row" style="margin:0px;padding:0px;">
    <div style="width:28%;" class="column">
        <div class="table-responsive">
            <table id="tblTestReflex" class="styled-table">
                <thead>
                    <tr>
                        <th style="display:none;">
                            @Html.DisplayNameFor(model => model.tblReflex.ReflexId)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.tblReflex.TestId)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.tblReflex.LowValue)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.tblReflex.HighValue)
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var item in Model.tblReflexs) {
                        if(item!=null)
                        {
                            <tr>
                                <td style="display:none;">
                                    @Html.DisplayFor(modelItem => item.ReflexId)                
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.TestId)                
                                </td>
                                @* <td>
                                    @Html.ActionLink(item.TestId,"Index","Reflex",new { ReflexID = item.ReflexId},new{style="font-size:12px;color:blue;"})
                                </td> *@
                                <td>
                                    @Html.DisplayFor(modelItem => item.LowValue)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.HighValue)
                                </td>
                            </tr>
                        }
                    }
                </tbody>
            </table>
        </div>
    </div>
    <div style="width:68%;" class="column">
        <div class="accordion" id="accordionProfile">
            <div class="card">
                <div class="card-header" id="headingDetail">
                <h2 class="mb-0">
                    <button class="collapsible" type="button" data-toggle="collapse" data-target="#collapseDetail" aria-expanded="true" aria-controls="collapseDetail">
                    Reflex Details
                    </button>
                </h2>
                </div>
                <div id="collapseDetail" class="collapse show" aria-labelledby="headingDetail" data-parent="#accordionProfile">
                    <div class="card-body" style="height:65vh">
                        <div class="form-group row">
                            <div class="form-group" style="display:none;">
                                @Html.TextBoxFor(model =>model.tblReflex.ReflexId,new{@id="reflexId"}) 
                                @Html.TextBoxFor(model =>model.selectedReflexID)      
                            </div>
                            <div class="form-group col-md-3">
                                @Html.LabelFor(model =>model.tblReflex.TestId)
                                @Html.TextBoxFor(model =>model.tblReflex.TestId,new{@id="testId"})  
                                @Html.ValidationMessageFor(model =>model.tblReflex.TestId) 
                            </div>
                            <div class="form-group col-md-3">
                                @Html.LabelFor(model =>model.tblReflex.LowValue)
                                @Html.TextBoxFor(model =>model.tblReflex.LowValue,new{@id="lowValue"})  
                                @Html.ValidationMessageFor(model =>model.tblReflex.LowValue) 
                            </div>
                            <div class="form-group col-md-3">
                                @Html.LabelFor(model =>model.tblReflex.HighValue)
                                @Html.TextBoxFor(model =>model.tblReflex.HighValue,new{@id="highValue"})  
                                @Html.ValidationMessageFor(model =>model.tblReflex.HighValue) 
                            </div>
                            <div class="form-group col-md-3">
                                @Html.LabelFor(model =>model.tblReflex.ReflexType)
                                @Html.TextBoxFor(model =>model.tblReflex.ReflexType,new{@id="reflexType"}) 
                                @Html.ValidationMessageFor(model =>model.tblReflex.ReflexType)    
                            </div>
                        </div>
                        <div>
                            @await Html.PartialAsync("/Views/Shared/TestListIndex.cshtml",Model.tblTestListModel)
                        </div>
                       
                     </div>
                </div>
            </div>
        </div>    
        <div class="form-group row" style="margin-right: 25px;margin-top: 10px;float:right;">
            <div class="form-group">
                <button type="button" class="btn btn-info" value="Save" id="btnSave">Save</button>
                <button type="button" class="btn btn-info" value="Clear" id="btnClear">Clear</button>
            </div> 
        </div>
    </div>
    @* } *@
</div>
@section Scripts
{
    <script type="text/javascript">
        $(document).ready(function () {

            $('#tblTestReflex').DataTable(
            {
                paging:   false,
                ordering: false,
                info:     false,
                searching: false,
                scrollY:   '75vh'
            });

            $("#btnSave").click(function()
            {
                var data = {};
                data.ReflexId = $('#reflexId').val();
                data.TestId = $('#testId').val();
                data.LowValue = $('#lowValue').val();
                data.HighValue = $('#highValue').val();
                data.ReflexType = $('#reflexType').val();
                var Selected= new Array();

                $('.Testchecked').each(function(i, obj) {    
                    Selected[i]=$(obj).closest( "button" ).attr("id");
                });

                data.selectedIds=Selected;     

                $.ajax({
                    type:'POST',
                    url:'@Url.Action("Update","Reflex")',
                    data:{viewData:JSON.stringify(data)},
                    success:function()
                    {
                        window.location.href = '@Url.Action("Index", "Reflex")';
                    },
                    error:function(result)
                    {
                       alert("Unknown Error");    
                    }
                });
            });
            $("#btnClear").click(function()
            {
                $('#reflexId').val("");
                $('#testId').val("");
                $('#lowValue').val("");
                $('#highValue').val("");
                $('#reflexType').val("");
            });
        });
    </script>
}